<?php

/**
 * @file
 * Themes for the Kerberos Authentication module.
 */
//todo: Remove Realm table, and need to add each realm in workflow...use textarea with 1 per line.
//////////////////////////////////////////////////////////////////////////////
// Theme callbacks

/**
 * Theme function for the admin list form.
 */
function theme_kerberos_authentication_admin_list($form) {
  drupal_add_tabledrag('kerberos_authentication-list-table', 'order', 'sibling', 'server-weight');

  $header = array(
    '',
    t('Realm'),
    array('data' => t('Operations'), 'colspan' => 3),
    t('Weight'),
  );

  $rows = array();
  foreach ($form['list'] as $sid => $element) {
    if (is_numeric($sid)) {
      $row = array('');
      $row[] = $element['realm']['#value'];
      $row[] = l(t('edit'), 'admin/settings/kerberos/edit/'. $sid);
      $row[] = l($element['status']['#value'] ? t('de-activate') : t('activate'), 'admin/settings/kerberos/'. ($element['status']['#value'] ? 'deactivate' : 'activate') .'/'. $sid);
      $row[] = l(t('delete'), 'admin/settings/kerberos/delete/'. $sid);
      $element['weight']['#attributes']['class'] = "realm-weight";
      $row[] = drupal_render($element['weight']);
      $rows[] = array('data' => $row, 'class' => 'draggable'. ($element['status']['#value'] ? ' menu-enabled' : ' menu-disabled'));
      unset($form['list'][$sid]);
    }
  }

  if (empty($rows)) {
    $rows[] = array(array('data' => t('No Realms defined.'), 'colspan' => 5));
    array_pop($header);
    unset($form['submit']);
  }

  $form['list']['table'] = array('#value' => theme('table', $header, $rows, array('id' => 'kerberos_authentication-list-table')));
  return drupal_render($form);
}

